<?php  // print_r($editprod->getProductores);
 // print_r($editprod-> getProvincias);
  echo '
  <form name="search" action="index.php" method="get">
  <input type="hidden" name="option" value="com_prod">
  <input type="hidden" name="task" value="editprod">
  <input type="text" name="productor" value="" placeholder="productor">
    <input type="text" name="razonsocial" value="" placeholder="razón social">
  <select name="provincia">';
      echo '<option value="*">elija provincia</option>';
  foreach($editprod-> getProvincias as $pv){
	
	  echo '<option value="'.$pv->id.'">'.$pv->nombre.'</option>';
  }
 echo ' </select>
   <select name="comarca">';
      echo '<option value="*">elija comarca</option>';
  foreach($editprod-> getComarcas as $c){
	
	  echo '<option value="'.$c->id.'">'.$c->nombre.'</option>';
  }
 echo ' </select>
 <input type="submit" name="submit" value="buscar">
  </form>
  <hr>
  ';
echo '<table id="tProductores">
<tr>
<th>Nombre</th>
<th>Sector1</th>
<th>Sector2</th>
<th>Provincia</th>
<th>Comarca</th>
<th>Población</th>
<th>Productos</th>
</tr>
';
foreach($editprod->getProductores->productores as $p){ ?>
	<tr id="tablaBody">
	<td><a href="<?php echo $editprod->objDatos->urlbase.'index.php?option=com_prod&task=editproductor&p='.$p->idprod;?>">
  <?php echo $p->productornombre;?> </a> </td>
		<td><?php //if($productores->objDatos->currentLang =='es-ES'){echo $p->sectornombre;}else{ echo $p->sectornombreeus;}
		echo $p->sectornombre;
		?></td>
			<td><?php echo $p->sectornombre2;?> </td>
				<td><?php echo $p->pvnom;?>   </td>
				<td><?php echo $p->comarcanombre;?>   </td>
				<td><?php echo $p->poblacionnombre;?>   </td>
					<td><?php echo $p->prodes;?>   </td>
	</tr>
	 
<?php }
echo '</table>';
 

  if($editprod->getProductores->varsPag->pag >1){?> 
  <a style="color:#000"  href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $editprod->getProductores->varsPag->pag - 1;?>">
ANTERIOR  </a> <?php }  
  
for($i=1;$i<=$editprod->getProductores->varsPag->total_paginas;$i++){
if($i==1){$PAG = 'INICIO';} else{$PAG = $i;}
	if($i==JFactory::getApplication()->input->get('pag')){$color = '#000';}else{$color='#6AC212';}
	$pag = $editprod->getProductores->varsPag->pag;
	 $min = $editprod->getProductores->varsPag->pag - 4; 
	 $max = $editprod->getProductores->varsPag->pag + 4; 
	if($i < 10){ ?> <a style="color:<?php echo $color;?>" href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $i;?>"> <?php echo $PAG;?> </a> <?php }elseif($i==10) {?>
		 <a style="color:<?php echo $color;?>" href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $i;?>"> <?php echo $PAG.' ... ';?> </a> 
	<?php }elseif( $i>= $min && $i <= $max){?>
		
		<a style="color:<?php echo $color;?>" href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $i;?>"> <?php echo $PAG;?> </a>
	<?php }

  } ?>
 <a style="color:#000"  href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $editprod->getProductores->varsPag->total_paginas;?>">
 FINAL - </a>  
 <a style="color:#000"  href="<?php echo $_SERVER['REQUEST_URI'];?>&pag=<?php echo $editprod->getProductores->varsPag->pag + 1;?>">
SIGUIENTE > </a> 